RemarshalException (Java Platform SE 8 )
Keywords: org.omg.CORBA.portable.RemarshalException class
Date: 2026-04-24

org.omg.CORBA.portable

## Class RemarshalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.portable.RemarshalException

- All Implemented Interfaces:
    Serializable

      public final class RemarshalException
      extends Exception

  This class is used for reporting locate forward exceptions and object forward GIOP messages back to the ORB. In this case the ORB must remarshal the request before trying again. Stubs which use the stream-based model shall catch the `RemarshalException` which is potentially thrown from the `_invoke()` method of `ObjectImpl`. Upon catching the exception, the stub shall immediately remarshal the request by calling `_request()`, marshalling the arguments (if any), and then calling `_invoke()`. The stub shall repeat this process until `_invoke()` returns normally or raises some exception other than `RemarshalException`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemarshalException()` Constructs a RemarshalException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemarshalException

          public RemarshalException()

      Constructs a RemarshalException.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.